# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

PROXY_TIME_DAEMON: ntp

HARDEN_FIREJAIL_VERSION: "0.9.58"

# List of proxy packages to install.
proxy_debs_inst:
  - python-dev
  - libffi-dev
  - libssl-dev
  - libcurl4-openssl-dev
  - ca-certificates
  - curl
  - less
  - sudo
  - unzip
  - zip
  - cron
  - xsltproc
  - corkscrew
  - openssl
  - mg
  - polipo
# I need this for Ubuntu even though it come in the bootstrap - 2 setuptools, 1 pip
#  - pip
  # for pip
  - python-cryptography
#  - python-pip
#  - python-pip-whl
  - python-pkg-resources
  - python-setuptools
#  - python-wheel
#  - python3-pip
  - python3-setuptools
#  - python3-wheel
# Install packages to allow apt to use a repository over HTTPS:
  - apt-transport-https

# these may be unuseable before testforge role installs pip
proxy_pips2_inst: []

proxy_pips3_inst: []

proxy_pips_reinstall:
# pip prerequisites
  - setuptools
  - appdirs
  - ipaddress
  - six
  - cachecontrol
  - pyparsing
  - colorama
#?  - distlib
  - html5lib
#?  - lockfile
  - packaging
  - requests
  - webencodings
# pip itself? NO
  - cryptography
#
  - pyOpenSSL
  - paramiko
  - Jinja2
  - pyasn1
  - bcrypt
  - PyNaCl
  - cffi
  - idna
  - asn1crypto

cntlm_pid_file: /var/run/cntlm/cntlm.pid

proxy_services:
  # console-setup.sh Debian - in /usr/local/etc/local.d/Whonix-Lati.rc
  - "{{ 'consolefont' if ansible_distribution == 'Gentoo' else '' }}"
  - "{{ 'console-setup' if ansible_distribution in ['Ubuntu', 'Debian'] else '' }}"
  - bootlogd
  - "{{ 'polipo' if BOX_WHONIX_PROXY_HOST != '' else '' }}"
# FixMe: tie in with
#  - "{{ 'polipo' if PRIV_TOR_TYPE == 'client' else ''}}"
